[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [chutney/master] Produce a sensible output from warnings.sh if readlink is not available
commit fda220c48f12b7e6578bad07df2e8b0d374de4d0
Author: teor <teor2345@xxxxxxxxx>
Date: Wed Mar 1 11:14:58 2017 +1100
Produce a sensible output from warnings.sh if readlink is not available
---
tools/warnings.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tools/warnings.sh b/tools/warnings.sh
index 109032b..4ef91ee 100755
--- a/tools/warnings.sh
+++ b/tools/warnings.sh
@@ -63,7 +63,7 @@ show_warnings() {
fi
if [ "$CHUTNEY_WARNINGS_IGNORE_EXPECTED" = true -a \
-e "$IGNORE_FILE" ]; then
- PERMANENT_DIR=`readlink -n "$1"`
+ PERMANENT_DIR=`readlink -n "$1" || echo "$1"`
$ECHO_A "${GREEN}Detail: chutney/tools/warnings.sh $PERMANENT_DIR${NC}"
fi
# Display the warnings, after filtering and counting occurrences
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits